package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.PageBase;
import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginPMEFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.CentralPMEPage;
import com.javaseleniumtemplate.pages.LoginPMEPage;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class CentralPMETest extends TestBase {
    MainPage mainPage;
    MainFlows mainFlows;
    CentralPMEPage centralpmepage;
    LoginPMEFlows loginpmeflows;

    //Tests
    @Test

    public void AcessarCentral (){
        mainPage = new MainPage();
        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();

        centralpmepage = new CentralPMEPage();

        String usuario = "francielly.teste";
        String senha = "Teknisa2022";
        String msgesperada = "Salvo com sucesso!";

        loginpmeflows.efetuarloginpme(usuario, senha);
        centralpmepage.AcessaraTela();
        centralpmepage.AdicionarCentral();

        String statusatual = centralpmepage.RetornaMsgCentralCriada();
        Assert.assertEquals(statusatual, msgesperada);

        try {
            Thread.sleep(3000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }

    }


}
